Skip to main content
GET
/
units
List units
curl --request GET \
  --url https://api.example.com/units
import requests

url = "https://api.example.com/units"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "content_type": "unit",
      "id": 1,
      "reference": "<string>",
      "name": "HQ",
      "description": "<string>",
      "level": 123,
      "path": "<string>",
      "unit_type": "unit",
      "falldown": true,
      "features": [
        {}
      ],
      "departments": [
        {}
      ],
      "parent": {},
      "image": {},
      "children": [
        {}
      ],
      "addresses": {},
      "contact": {},
      "opening_hours": {},
      "geo": {
        "lat": 123,
        "lng": 123
      },
      "stats": {
        "users": 123,
        "children": 123,
        "children_total": 123
      },
      "permissions": {},
      "url": "api/units/1"
    }
  ]
}

Query Parameters

feature
integer

Filter by feature ID

user
integer

Limit results to units related to the current user

keyword
string

Search keyword applied to unit name

full_stats
boolean

Include extended statistics for each unit

limit
integer

Pagination size

page
integer

Pagination page number

Response

200 - application/json

A paginated list of units.

data
object[]